<!DOCTYPE html>
<html
  lang="en"
  xmlns:th="http://www.thymeleaf.org"
  xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
  xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
  layout:decorate="~{layout2}"
>
  <body>
    <div th:fragment="sidebar_setting">
      <aside class="bd-sidebar">
        <div
          class="shadow-sm p-3 mb-1 bg-body bg-opacity-50 border small rounded"
        >
          <div class="row">
            <div class="col-md-2">
              <i
                class="fa-regular fa-user fa-2x shadow-sm me-2"
                style="color: var(--bs-danger)"
              ></i>
            </div>
            <div class="col-md-10">
              <span class="text-start align-middle"
                ><b th:text="${#authentication.principal.fullName}">
                  10/10/1000</b
                >
              </span>
            </div>
          </div>
        </div>
        <div
          class="offcanvas-lg offcanvas-start bg-body bg-opacity-50"
          tabindex="-1"
          id="bdSidebar"
          aria-labelledby="bdSidebarOffcanvasLabel"
        >
          <div class="offcanvas-header border-bottom">
            <h5 class="offcanvas-title" id="bdSidebarOffcanvasLabel">
              Browse docs
            </h5>
            <button
              type="button"
              class="btn-close"
              data-bs-dismiss="offcanvas"
              aria-label="Close"
              data-bs-target="#bdSidebar"
            ></button>
          </div>

          <div
            class="offcanvas-body shadow-sm p-3 mb-3 bg-body small border rounded"
          >
            <nav
              class="bd-links w-100"
              id="bd-docs-nav"
              aria-label="Docs navigation"
            >
              <ul class="bd-links-nav list-unstyled mb-0 pb-3 pb-md-2 pe-lg-2">
                <li class="bd-links-group py-2">
                  <strong
                    sec:authorize="hasAuthority('VIEW_SDM') or hasAuthority('VIEW_WAREK2')"
                    class="bd-links-heading d-flex w-100 align-items-center fw-semibold"
                  >
                    <svg
                      class="bi me-2"
                      style="color: var(--bs-blue)"
                      aria-hidden="true"
                    >
                      <use xlink:href="#ui-radios"></use>
                    </svg>
                    Master Data
                  </strong>

                  <ul class="list-unstyled fw-normal pb-2 small">
                    <li>
                      <a
                        sec:authorize="hasAuthority('VIEW_WAREK2')"
                        th:href="@{/masterdata/mataanggaran}"
                        th:class="${'bd-links-link d-inline-block rounded ' + budget_line}"
                        >Budget Line</a
                      >
                    </li>
                    <li>
                      <a
                        sec:authorize="hasAuthority('VIEW_SDM')"
                        th:href="@{/masterdata/karyawan}"
                        th:class="${'bd-links-link d-inline-block rounded ' + employes}"
                        >Employes</a
                      >
                    </li>
                    <li>
                      <a
                        sec:authorize="hasAuthority('VIEW_SDM')"
                        th:href="@{/masterdata/departemen}"
                        th:class="${'bd-links-link d-inline-block rounded ' + departmentss}"
                        >Department</a
                      >
                    </li>
                    <li>
                      <a
                        sec:authorize="hasAuthority('VIEW_SUPERUSER')"
                        th:href="@{/masterdata/jabatan}"
                        th:class="${'bd-links-link d-inline-block rounded ' + positionss}"
                        >Position</a
                      >
                    </li>
                    <li>
                      <a
                        sec:authorize="hasAuthority('VIEW_SDM')"
                        th:href="@{/masterdata/user}"
                        th:class="${'bd-links-link d-inline-block rounded ' + user}"
                        >User</a
                      >
                    </li>
                    <li>
                      <a
                        sec:authorize="hasAuthority('VIEW_WAREK2')"
                        th:href="@{/masterdata/standard}"
                        th:class="${'bd-links-link d-inline-block rounded ' + standardss}"
                        >Standard</a
                      >
                    </li>
                  </ul>
                </li>
                <li class="bd-links-group py-2">
                  <strong
                    class="bd-links-heading d-flex w-100 align-items-center fw-semibold"
                  >
                    <svg
                      class="bi me-2"
                      style="color: var(--bs-cyan)"
                      aria-hidden="true"
                    >
                      <use xlink:href="#menu-button-wide-fill"></use>
                    </svg>
                    Customize
                  </strong>

                  <ul class="list-unstyled fw-normal pb-2 small">
                    <li>
                      <a
                        th:href="@{/setting/periodeanggaran}"
                        th:class="${'bd-links-link d-inline-block rounded ' + periodes}"
                        sec:authorize="hasAuthority('VIEW_KEUANGAN') or hasAuthority('VIEW_WAREK2')"
                        >Period</a
                      >
                    </li>
                    <li>
                      <a
                        th:href="@{/setting/picanggaran}"
                        th:class="${'bd-links-link d-inline-block rounded ' + picss}"
                        sec:authorize="hasAuthority('VIEW_KEUANGAN') or hasAuthority('VIEW_WAREK2')"
                        >PIC</a
                      >
                    </li>
                    <li>
                      <a
                        th:href="@{/setting/paguanggaran}"
                        th:class="${'bd-links-link d-inline-block rounded ' + paguss}"
                        sec:authorize="hasAuthority('VIEW_WAREK2')"
                        >Pagu</a
                      >
                    </li>
                    <li>
                      <a
                        th:href="@{/setting/anggaran}"
                        th:class="${'bd-links-link d-inline-block rounded ' + anggaran_budget}"
                        >Budget</a
                      >
                    </li>
                    <!-- <li>
                      <a
                        th:href="@{/setting/admin/anggaran}"
                        th:class="${'bd-links-link d-inline-block rounded ' + anggaran_administrator}"
                        sec:authorize="hasAuthority('VIEW_KEUANGAN') or hasAuthority('VIEW_WAREK2')"
                        >Budget Administrator</a
                      >
                    </li> -->
                    <li>
                      <a
                        th:href="@{/setting/anggaran/porsi}"
                        th:class="${'bd-links-link d-inline-block rounded ' + porsi}"
                        sec:authorize="hasAuthority('VIEW_KEUANGAN') or hasAuthority('VIEW_WAREK2')"
                        >Budget Porsion</a
                      >
                    </li>
                    <li>
                      <a
                        th:href="@{/setting/penerimaan}"
                        th:class="${'bd-links-link d-inline-block rounded ' + penerimaans}"
                        sec:authorize="hasAuthority('VIEW_KEUANGAN') or hasAuthority('VIEW_REVENUES') or hasAuthority('VIEW_WAREK2')"
                        >Source Of Revenues</a
                      >
                    </li>
                    <li>
                      <a
                              th:href="@{/finance/estimasi_pendapatan_terkait}"
                              th:class="${'bd-links-link d-inline-block rounded ' + pendapatanTerkait}"
                              sec:authorize="hasAuthority('VIEW_KEUANGAN') or hasAuthority('VIEW_REVENUES') or hasAuthority('VIEW_WAREK2')"
                      >Estimated Related Income</a
                      >
                    </li>
                  </ul>
                </li>
                <li class="bd-links-group py-2">
                  <strong
                    class="bd-links-heading d-flex w-100 align-items-center fw-semibold"
                  >
                    <svg
                      class="bi me-2"
                      style="color: var(--bs-cyan)"
                      aria-hidden="true"
                    >
                      <use xlink:href="#menu-button-wide-fill"></use>
                    </svg>
                    Accounting
                  </strong>
                  <ul class="list-unstyled fw-normal pb-2 small">
                    <li>
                      <a
                        th:href="@{/settingtemplate}"
                        th:class="${'bd-links-link d-inline-block rounded ' + settingtemplate}"
                        sec:authorize="hasAuthority('VIEW_KEUANGAN') or hasAuthority('VIEW_REVENUES') or hasAuthority('VIEW_WAREK2')"
                        >Setting Template Journal</a
                      >
                    </li>
                  </ul>
                </li>
              </ul>
            </nav>
          </div>
        </div>
      </aside>
    </div>
  </body>
</html>
